Subject: bug#63965: grep-3.11: 'make check' fails with glibc-2.37.9000

From: Jaroslav Škarvada <[email-masked]>
Date: Fri, 9 Jun 2023 09:04:33 +0200

On Fri, Jun 9, 2023 at 1:23 AM Jaroslav Škarvada <[email-masked]> wrote:
>
> Hi,
>
> with glibc-2.37.9000 (Fedora rawhide / 39):
> test-strtoll.c:290: assertion 'ptr == input + 1' failed
> test-strtoull.c:289: assertion 'ptr == input + 1' failed
>
> All other tests pass. Problem is not reproducible with glibc-2.36
>
> thanks & regards
>
> Jaroslav
>

The y2038-vs-32-bit test is also failing with new glibc, but its
failing only on the 32 bit i686 machines:
# cat y2038-vs-32-bit.log
++ initial_cwd_=/builddir/build/BUILD/grep-3.11/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /builddir/build/BUILD/grep-3.11/tests gt-y2038-vs-32-bit.XXXX
+++ case $# in
+++ destdir_=/builddir/build/BUILD/grep-3.11/tests
+++ template_=gt-y2038-vs-32-bit.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/builddir/build/BUILD/grep-3.11/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
+++ case $d in
+++ :
+++ test -d /builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
++++ ls -dgo /builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
+++ perms='drwx------. 2 4096 Jun  9 08:57
/builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj'
+++ case $perms in
+++ :
+++ echo /builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
+++ return
++ test_dir_=/builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
++ cd /builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
++ case $srcdir in
++ srcdir=../.
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS='
'
++ IFS=:
++ new_PATH=
++ sep_=
++ for dir in $PATH
++ case "$dir" in
++ test -d /builddir/build/BUILD/grep-3.11/src/.
++ new_PATH=/builddir/build/BUILD/grep-3.11/src
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ for dir in $PATH
++ case "$dir" in
++ test -d /builddir/.local/bin/.
++ continue
++ for dir in $PATH
++ case "$dir" in
++ test -d /builddir/bin/.
++ continue
++ for dir in $PATH
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/builddir/build/BUILD/grep-3.11/src:/usr/bin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /bin/.
++ new_PATH=/builddir/build/BUILD/grep-3.11/src:/usr/bin:/bin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/builddir/build/BUILD/grep-3.11/src:/usr/bin:/bin:/usr/sbin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/builddir/build/BUILD/grep-3.11/src:/usr/bin:/bin:/usr/sbin:/sbin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /usr/local/sbin/.
++ new_PATH=/builddir/build/BUILD/grep-3.11/src:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
++ sep_=:
++ IFS='
'
++ PATH=/builddir/build/BUILD/grep-3.11/src:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
++ export PATH
++ trap remove_tmp_ EXIT
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/builddir/build/BUILD/grep-3.11/tests/../src
+ case $abs_path_dir_ in
+ PATH=/builddir/build/BUILD/grep-3.11/tests/../src:/builddir/build/BUILD/grep-3.11/src:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/sbin
+ create_exe_shims_ /builddir/build/BUILD/grep-3.11/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ fail=0
+ echo text
+ touch -t 203901010000 in
+ grep t in
+ compare in out
+ compare_dev_null_ in out
+ test 2 = 2
+ test xin = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ in out
+ LC_ALL=C
+ diff -u in out
diff: in: Value too large for defined data type
+ fail=1
+ compare /dev/null err
+ compare_dev_null_ /dev/null err
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s err
+ return 0
+ return 0
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /builddir/build/BUILD/grep-3.11/tests
+ chmod -R u+rwx /builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
+ rm -rf /builddir/build/BUILD/grep-3.11/tests/gt-y2038-vs-32-bit.BCdj
+ exit 1
FAIL y2038-vs-32-bit (exit status: 1)

thanks & regards

Jaroslav